summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--lib/cmd/install.sh16
-rw-r--r--locale/en_US.sh3
2 files changed, 17 insertions, 2 deletions
diff --git a/lib/cmd/install.sh b/lib/cmd/install.sh
index 9b90fff..1f1aeb7 100644
--- a/lib/cmd/install.sh
+++ b/lib/cmd/install.sh
@@ -23,7 +23,7 @@ use profile
use fd
use pkg
-cmd_install_optstring='a:P:m:'
+cmd_install_optstring='a:P:m:F'
cmd_install_deps=
cmd_install_fnames=
cmd_install_feed_url=
@@ -36,6 +36,7 @@ cmd_install_main()
local plat=
local profile=
local mirror=
+ local foreign=
get_options "${@}"
shift $(($OPTIND - 1))
@@ -81,6 +82,12 @@ cmd_install_main()
fi
info "$(get_msg 'cmd_install_selected_mirror')" "${mirror}"
+ if [ "x${cmd_install_opt_F+set}" = 'xset' ]; then
+ foreign=true
+ else
+ foreign=false
+ fi
+
info "$(get_msg 'cmd_install_setting_up_chroot')"
if [ -d "${chroot}" ]; then
error 2 "$(get_msg 'cmd_install_chroot_dir_exists')" "${chroot}"
@@ -93,6 +100,13 @@ cmd_install_main()
cmd_install_find_pkgs "${mirror}" "${suite}" "${arch}" "${plat}" \
"${chroot}"
cmd_install_get_pkgs "${chroot}"
+
+ info "$(get_msg 'cmd_install_configuring')"
+ if ! ${foreign}; then
+ profile_configure_system_native "${chroot}"
+ else
+ profile_configure_system_foreign "${chroot}"
+ fi
}
cmd_install_find_pkgs()
diff --git a/locale/en_US.sh b/locale/en_US.sh
index 246ebd7..a8f1969 100644
--- a/locale/en_US.sh
+++ b/locale/en_US.sh
@@ -56,7 +56,7 @@ There is NO WARRANTY, to the extent permitted by law.'
# lib/cmd/install.sh
msg_prokit_cmd_install_summary='install a ProteanOS system into a directory'
-msg_prokit_cmd_install_usage='[-a <arch>] [-P <plat>] [-m <mirror>] '\
+msg_prokit_cmd_install_usage='[-a <arch>] [-P <plat>] [-m <mirror>] [-F] '\
'<suite> <chroot>'
msg_prokit_cmd_install_bad_archplat='Invalid combination of architecture "%s" '\
'and platform "%s"'
@@ -71,6 +71,7 @@ msg_prokit_cmd_install_find_pkgs='Configuring opkg and retrieving Packages '\
msg_prokit_cmd_install_downloading_pkg='Downloading %s...'
msg_prokit_cmd_install_downloading_pkg_fail='Failed to download package'
msg_prokit_cmd_install_unpacking_pkg='Unpacking %s...'
+msg_prokit_cmd_install_configuring='Configuring packages...'
# lib/cmd/shell.sh
msg_prokit_cmd_shell_summary='enter a ProteanOS shell'